Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043696
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 04. Warehouse managementmajoralways2020-04-07 13:112020-04-23 11:58
ReporterngarciaView Statuspublic 
Assigned Toinigo_lerga 
PriorityurgentResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision3d15184ae8ef
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043696: Create Product Copy of Process plan window is copying all the transactions and costs of the original product

DescriptionCreate Product Copy of Process plan window is copying all the transactions and costs of the original product
Steps To ReproduceAs group admin role:
   Create an Activity and a Manufacturing Cost Center
   Create two products and set them as Production: consumed and produced
   Add a manual cost to both of them (leave the warehouse empty)
   Assign a storage bin to the produced one in the Manufacturing tab
   Increase the stock of the consumed one by a physical inventory
   Create a process plan, version, operation
   Add the two products in I/O product tab: consumed one as P- and produced one as P+
   Create a Work Requirement
   Process it
   Create Work Effort from it
   Validate it
   Launch the costing background process and check it finishes successfully
   Check the two created products have entries in Transactions and Cost tab in Product window

   Return to Process Plan window and select one product in the I/O Product tab
   Launch the Create Product Copy process
   Fill the required parameters in the pop-up

   Check the newly created product has the transactions of the original product and it should not (as they were related to documents made by the original product but the current product does not have any warehouse document processed)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0119182)
inigo_lerga (developer)
2020-04-15 12:57

--Test Plan Mantis--
Beforehand, the environment needs to be activated.
As the F&B International Group Admin role:
  - Go to the Process Request window, select the Costing Backgrouncd Process and press the
    Unschedule button.
    Create a new record with the Costing Background Process and "Run Immediately" as Timing.
    Press the Schedule Process.

  - Go to Activity Window and create a new record with any Name and Search Key desired.
  
  - Go to Manufacturing Cost Center window and create a new record with any Name and
    Search Key desired.

  - Go to the Product window and create a new record. Enable the Production checkbox.
    Go to the Costing Tab and create a manual Costing record with any value desired.
    Go to the Manufacturing Tab and create a new record. Select any Storage Bin desired
    and leave the rest of fields as default.

  - Go back to Product window. Create another Product record. Enable the Production checkbox.
    Go to the Costing Tab and create a manual Costing record with any value desired.

  - Go to Physical Inventory window and create a new record.
    Go to the Lines tab and create a new record with the SECOND Product previously created
    and any desired quantity.

  - Go to Process Plan window and create a new record with any Name and SearchKey desired.
    Go to the Version Tab and create a new record leaving every field as default.
    Go to Operantion SubTab and create a new record with any desired Name and SearchKey
    leaving the rest of fields as default, except for Activity. Put the previously created
    Activity in this field.
    Go to the I/O Products SubTab and and the previously created products (1st one as P+ and
    2nd one as P-)

  - Go to Work Requirement window and create a new record with any desired Quantity and the
    previously created Process Plan, leaving the rest of the fields as default.
    Press the Process Work Requirement button and later the Create Work Effort button.

  - Go back to the Process Request Window and Press the Reschedule Process button in the previously
    created Costing Background Process.

  - Go back to the Process Plan window, to the I/O Product Subtab and select one of the products.
    Press the Create Product Copy button and put any Name, SearchKey and Quantity desired.
    Press OK button.

  # Check the newly created product does not have Transactions or Costing records of the original product #
(0119353)
hgbot (developer)
2020-04-23 11:57

Repository: erp/devel/pi
Changeset: 3d15184ae8ef1a1d3a085c252cd22a79079dbb6c
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Apr 15 09:59:56 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/3d15184ae8ef1a1d3a085c252cd22a79079dbb6c [^]

fixes BUG-43696:Transactions and Costing are now deleted

---
M src/org/openbravo/erpCommon/ad_actionButton/SequenceProductCreate.java
---
(0119354)
hgbot (developer)
2020-04-23 11:57

Repository: erp/devel/pi
Changeset: 8e9d9d9d1e09c5fb5136295e37078aec9bbda7d0
Author: Iñigo Lerga <inigo.lerga <at> openbravo.com>
Date: Wed Apr 15 10:13:39 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8e9d9d9d1e09c5fb5136295e37078aec9bbda7d0 [^]

related to ISSUE-43696:Applied new HQL Style

---
M src/org/openbravo/erpCommon/ad_actionButton/SequenceProductCreate.java
---
(0119355)
hgbot (developer)
2020-04-23 11:57

Repository: erp/devel/pi
Changeset: 34639327d95524b25751d5e78004a36198528574
Author: David Miguelez <david.miguelez <at> openbravo.com>
Date: Thu Apr 23 11:56:52 2020 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/34639327d95524b25751d5e78004a36198528574 [^]

Related to ISSUE-43696. Code Review changes:
  * Use uppercase for class constants
  * Use lowercase for reserved keyworkds in hql query

---
M src/org/openbravo/erpCommon/ad_actionButton/SequenceProductCreate.java
---
(0119356)
dmiguelez (developer)
2020-04-23 11:58

Code Review + Testing Ok

- Issue History
Date Modified Username Field Change
2020-04-07 13:11 ngarcia New Issue
2020-04-07 13:11 ngarcia Assigned To => Triage Finance
2020-04-07 13:11 ngarcia Modules => Core
2020-04-07 13:11 ngarcia Triggers an Emergency Pack => No
2020-04-07 13:12 ngarcia Description Updated View Revisions
2020-04-07 13:12 ngarcia Issue Monitored: networkb
2020-04-08 10:01 dmiguelez Assigned To Triage Finance => inigo_lerga
2020-04-14 13:08 inigo_lerga Status new => scheduled
2020-04-15 12:57 inigo_lerga Note Added: 0119182
2020-04-23 11:57 hgbot Checkin
2020-04-23 11:57 hgbot Note Added: 0119353
2020-04-23 11:57 hgbot Status scheduled => resolved
2020-04-23 11:57 hgbot Resolution open => fixed
2020-04-23 11:57 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3d15184ae8ef1a1d3a085c252cd22a79079dbb6c [^]
2020-04-23 11:57 hgbot Checkin
2020-04-23 11:57 hgbot Note Added: 0119354
2020-04-23 11:57 hgbot Checkin
2020-04-23 11:57 hgbot Note Added: 0119355
2020-04-23 11:58 dmiguelez Review Assigned To => dmiguelez
2020-04-23 11:58 dmiguelez Note Added: 0119356
2020-04-23 11:58 dmiguelez Status resolved => closed
2020-04-23 11:58 dmiguelez Fixed in Version => 3.0PR20Q3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker